Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Viewing video with/without widevine for macOS

  • 12 replies
  • 1 has this problem
  • 68 views
  • Last reply by cor-el

more options

Recently, I've been unable to view paid for video, for example on Netflix. I get the following error message:

The WidevineCdm Plugin has crashed. FATAL Clpp-Error [Category 6 - Code 6002]: {"browserError":""}

I'm using a macOS 10.95 and, says Firefox,:

"Note: The current version of Google Widevine is no longer compatible with older macOS versions such as OS X 10.9 and 10.10. Only macOS versions 10.11 and above are supported."

So my question, since it seems my mac is no longer compatible with Widevine, is whether there a way for me to watch video on Firefox? Perhaps with another plugin? Or no plugin? Perhaps this is an issue to take up with Widevine?

Thanks in advance.

All Replies (12)

more options

have you tried mac's safari browser ?

Helpful?

more options

Widevine is used to play DRM protected media and with Mac OS X 10.9 and 10.10 no longer being supported by Widevine it is not possible to play protected media files on these OSs. You should still be able to view normal videos.

See:

Note: The current version of Google Widevine is no longer compatible with older macOS versions such as OS X 10.9 and 10.10. Only macOS versions 10.11 and above are supported.

Helpful?

more options

Thanks for the replies. I'm unable to play protected media files with Firefox, safari, Chrome . . . because, as cor-el points out, mac OS 10.9 is no longer supported by Widevine. Normal videos are fine.

Is anyone aware of a way I can watch DRM protected video (mubi, netflix etc.) considering I don't plan on purchasing a new macbook?

Helpful?

more options

Thanks for the additional information. And i am disappointed that have learned that Safari is not the fallback for watching such video's; as i were led to believe.

The providers of such content may have a proprietary player for their customers to view the proprietary content.

So my suggestion is for you to go to those websites and see if they have their own players.

Please keep us apprised with your findings.  :-)

Helpful?

more options

The only thing you can try is to install the previous Widevine 4.10.1582.2 version.



This involves downloading the Widevine 4.10.1582.2 as listed on this builtin page under "Darwin_x86_64-gcc3-u-i386-x86_64".

You need to place the four files in the 4.10.1582.2 folder in the gmp-widevinecdm folder in the profile folder (you need to create the 4.10.1582.2 folder).

  • /gmp-widevinecdm/4.10.1582.2

On the about:config page you need to modify this String pref:

  • media.gmp-widevinecdm.version = 4.10.1582.2

Helpful?

more options

I cannot find the profile folder in OS X 10.9.5

Helpful?

more options

You can use the button on the "Help -> More Troubleshooting Information" (about:support) page to go to the current Firefox profile folder or use the about:profiles page.

In Mac OS X v10.7 and later, the "~/Library" folder in the Home directory is a hidden folder.

Helpful?

more options

Thanks very much for the detailed instructions, cor-el. I wish I could say this worked. Something odd happens: neither the configuration change to media.gmp-widevinecdm.version = 4.10.1582.2 nor the new 4.10.1582.2 folder in my profile folder are retained--both revert back to the new version (even after I've moved it out of the profile folder) after attempting to watch protected video.

Helpful?

more options

You can try to set media.gmp-manager.url to an empty string on the about:config page to see if that disables updating.

Helpful?

more options

cor-el, this worked!! Thanks again for your help and clear instructions.

Helpful?

more options

Hi cor-el, I'm afraid setting media.gmp-manager.url to an empty string only did the trick for a couple of weeks. I'm now getting the following error message:

FATAL Clpp-Error [Category 6 - Code 6007]: Error while fetching license!

The older version of webdevine (4.10.1582.2) is downloaded and in its new folder in the Profile Folder; this is the version specified on the about:config page under media.gmp-widevinecdm.version and the media.gmp-manager.url remains set to an empty string.

Thanks very much for your help.

Helpful?

more options

Google has revoked all older Widevine versions and starting June 1st only Widevine 4.10.2209.1 can request a valid license to play DRM protected content, so it is no longer possible to use the previous Widevine 4.10.1582.2 version like was possible up to May 31st.

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.